/*
    This file is a part of Musty, a simple Molecular Dynamics simulation
    package.
    
    Copyright (C) 2005 Jori Liesenborgs

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "uniformdistribution.h"
#include <time.h>

UniformDistribution::UniformDistribution(real_t minimum,real_t maximum)
{
	min = minimum;
	max = maximum;
	width = max-min;
	
	u_int32_t x;

	x = (u_int32_t)getpid();
	x += (u_int32_t)time(0);
	x -= (u_int32_t)clock();
	x ^= (u_int32_t)(this);

	srand48_r(x,&drandbuffer);
}

UniformDistribution::~UniformDistribution()
{
}

real_t UniformDistribution::PickNumber()
{
	double x;

	drand48_r(&drandbuffer,&x);
	return ((real_t)x)*width+min;
}

