/*
    This file is a part of Musty, a simple Molecular Dynamics simulation
    package.
    
    Copyright (C) 2005 Jori Liesenborgs

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef UNIFORMDISTRIBUTION_H

#define UNIFORMDISTRIBUTION_H

#include "probabilitydistribution.h"
#include <stdlib.h>
#include <unistd.h>

class UniformDistribution : public ProbabilityDistribution
{
public:
	UniformDistribution(real_t min,real_t max);
	~UniformDistribution();
	real_t PickNumber();
private:
	real_t min,max,width;
	struct drand48_data drandbuffer;
};

#endif // UNIFORMDISTRIBUTION_H
